<div class="flex flex-col items-center justify-center min-h-screen bg-teal-700">
    <h1 class="text-6xl font-bold text-white mb-8">❌ Moeine Dooz O Kalak ⭕</h1>

    <!-- Input form for player names -->
    <div class="flex flex-col items-center space-y-4">
        <input type="text" placeholder="🏅First Player's name"
               class="px-4 py-2 rounded bg-white text-black text-xl focus:outline-none">
        <input type="text" placeholder="🏅Second Player's name"
               class="px-4 py-2 rounded bg-white text-black text-xl focus:outline-none">
        <button class="bg-cyan-500 text-white font-bold py-2 px-4 rounded hover:bg-cyan-600">
            Start Game 🎮
        </button>
    </div>
    <!-- Input form for player names -->

    <!-- Winner animation section -->
    <div class="absolute inset-0 flex items-start justify-center">
        <div class="confetti-container">
            @for ($i = 0; $i < 18; $i++)
                <div class="confetti-piece"></div>
            @endfor
        </div>
        <div class="text-white text-6xl font-bold animate-bounce scale-125 mt-12 z-50">
            🎉 Winner: [WinnerPlayerName]! 🎉
        </div>
    </div>
    <!-- Winner animation section -->

    <!-- Game board section -->
    <div class="grid grid-cols-3 gap-4 w-64">
        <button class="bg-teal-700 border-4 border-teal-500 aspect-square text-5xl font-bold flex items-center justify-center
                transition-transform transform hover:scale-105 hover:bg-teal-600 focus:outline-none focus:ring-2 focus:ring-yellow-300">
            <span class="text-gray-300">X</span>
            <span class="text-yellow-300">O</span>
        </button>
    </div>
    <!-- Game board section -->

    <!-- Current turn section -->
    <div class="mt-6 text-xl text-white">
        🕹 Current Turn:
        <span class="font-bold animate-pulse">[X] - [PlayerName]</span>
    </div>
    <!-- Current turn section -->

    <!-- Leaderboard to track wins -->
    <div class="mt-6 text-xl text-white">
        <div class="font-bold">📊 Leaderboard</div>
        <div>[Player1Name]: [NumberOfWinsPlayer1] win(s)</div>
        <div>[Player2Name]: [NumberOfWinsPlayer2] win(s)</div>
    </div>
    <!-- Leaderboard to track wins -->

</div>
