<?php

namespace Tests\Feature;

use Livewire\Livewire;
use Tests\TestCase;

class XOGameSampleTest extends TestCase
{

    public function test_dooz_sample_1()
    {
        Livewire::test('App\Livewire\XOGame')
            ->call('makeMove', 0)
            ->assertSet('board.0', 'X')
            ->assertSet('current_turn', 'O')
            ->call('makeMove', 1)
            ->assertSet('board.1', 'O')
            ->assertSet('current_turn', 'X');
    }

    public function test_dooz_sample_2()
    {
        Livewire::test('App\Livewire\XOGame')
            ->set('player1_name', 'Reza')
            ->set('player2_name', 'Dwin')
            ->call('submitNames')
            ->assertSee('Current Turn')
            ->assertSee('Reza')
            ->assertSee('Dwin')
            ->assertSee('Leaderboard')
            ->assertDontSee('Start Game');
    }


}
